<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Sleeve](./bitburner.sleeve.md) &gt; [setToGymWorkout](./bitburner.sleeve.settogymworkout.md)

## Sleeve.setToGymWorkout() method

Set a sleeve to workout at the gym.

<b>Signature:</b>

```typescript
setToGymWorkout(sleeveNumber: number, gymName: string, stat: string): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  sleeveNumber | number | Index of the sleeve to workout at the gym. |
|  gymName | string | Name of the gym. |
|  stat | string | Name of the stat to train. |

<b>Returns:</b>

boolean

True if the sleeve started working out, false otherwise.

## Remarks

RAM cost: 4 GB

Return a boolean indicating whether or not the sleeve started working out.

